# sentinel - early warning/monitoring system for absolute schizos

## FAQ

### > what is this?
sentinel is a C program that is gathering information from various sources different in nature and outputs them in a digest in form of a TUI dashboard - this includes OSINT communities' news feeds, your local SDR frequency spectrum analysis, DEFCON level and more
### > how exactly does it work?
mostly by scrapping API endpoints, gathering RSS feeds and getting readings from your SDR and demodulating them into a readable format(i.e. ACARS beacon transmissions can be decoded and used to get info about most aircraft in your area) - this allows for easy and fast threat assessment by an operator(you)
### > contributing?
but of course! if you wish to add support for your SDR or generally help me make this idea become true - go ahead! you can contact me at [hornet@lainlounge.xyz](mailto:hornet@lainlounge.xyz) via email or XMPP

## installation
WIP

this is a C program, so everything here will be around compiling stuff with gcc, or maybe i'll learn how to use make properly

## roadmap

for v1.0 release:
- TUI dashboard
- RTL-SDRv3 support
- ACARS beacon decoder
- RSS aggregator
- DEFCON level scrapper

there will be intermediate development releases as this project progresses